summaryrefslogtreecommitdiffstats
path: root/src/main.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/main.sh')
-rw-r--r--src/main.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/src/main.sh b/src/main.sh
index f83495c..75532d1 100644
--- a/src/main.sh
+++ b/src/main.sh
@@ -58,7 +58,7 @@ main()
load_locale
get_options "${@}"
- shift $(($OPTIND - 1))
+ shift $((${OPTIND} - 1))
base_dir="${opt_b:-.}"
@@ -90,7 +90,7 @@ init_sigs()
# as in the following loop hack.
i=0
while [ ${i} -lt 127 ]; do
- i=$(($i + 1))
+ i=$((${i} + 1))
sig="$(kill -l ${i} 2>/dev/null)" || continue
case "${sig}" in
'HUP' | 'INT' | 'QUIT' | 'ABRT' | 'ALRM' | 'TERM')
@@ -182,6 +182,6 @@ handle_sig()
if [ "x${exit_status:+set}" = 'xset' ]; then
exit ${exit_status}
else
- exit $((128 + $sig))
+ exit $((128 + ${sig}))
fi
}